export const formatDate = (date: Date, fmt = 'yyyy-MM-dd hh:mm:ss'): string => {
  if (!date) {
    return '无';
  }
  if (typeof date === 'string') {
    date = new Date(date);
    // date = new Date(date.replace('-', '/'));
  }

  if (/(y+)/.test(fmt)) {
    fmt = fmt.replace(
      RegExp.$1,
      (date.getFullYear() + '').substr(4 - RegExp.$1.length),
    );
  }
  let o = {
    'M+': date.getMonth() + 1,
    'd+': date.getDate(),
    'h+': date.getHours(),
    'm+': date.getMinutes(),
    's+': date.getSeconds(),
  };
  for (let k in o) {
    if (new RegExp(`(${k})`).test(fmt)) {
      let str = o[k] + '';
      fmt = fmt.replace(
        RegExp.$1,
        RegExp.$1.length === 1 ? str : ('00' + str).substr(str.length),
      );
    }
  }
  return fmt;
};
